import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Make the ship's guns shoot in a more widespread way, i. e. set the guns' angles to different values.
 * 
 * @author Jannis Andrija Schnitzer, Martin Schend
 * @version 2011-01-20
 */
public class AngledGuns  extends Collectible
{
    public void act()
    {
        super.act();
    }
    public boolean hit(ManuallyControlledSpaceship ship)
    {
        ship.setAngledGuns(true);
        return false;
    }
}
